[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValue.Name

The name for the collection item.

## Declaration

Source position: propertystorage.pas line 57

`published property TStoredValue.Name : string read FName write SetDisplayName;`

## Description

Name is a String property with the name for the collection item. It is like the DisplayName property, but enforces uniqueness when setting a new value for the property. An Exception is raised when Name is already used in the Collection.

Name also provides the key used for name/value pairs stored in the storage container for the collection.